RubyGems Navigation menu

rubocop 1.35.1

RuboCop is a Ruby code style checking and code formatting tool. It aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.44.1 - January 25, 2023 (577 KB)
  2. 1.44.0 - January 23, 2023 (577 KB)
  3. 1.43.0 - January 10, 2023 (575 KB)
  4. 1.42.0 - January 01, 2023 (574 KB)
  5. 1.41.1 - December 22, 2022 (571 KB)
  6. 1.35.1 - August 22, 2022 (553 KB)
Show all versions (229 total)

Runtime Dependencies (9):

json ~> 2.3
parallel ~> 1.10
parser >= 3.1.2.1
rainbow >= 2.2.2, < 4.0
regexp_parser >= 1.8, < 3.0
rexml >= 3.2.5, < 4.0
rubocop-ast >= 1.20.1, < 2.0
unicode-display_width >= 1.4.0, < 3.0

Development Dependencies (1):

bundler >= 1.15.0, < 3.0

Owners:

Pushed by:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

9d5cf370e27d5e44ed4cd6eeabd5224b21faafa677e6ec0cc0836c847ae3db8d

Total downloads 294,274,544

For this version 1,334,662

Gemfile:
= Copy to clipboard Copied!

install:
=

License:

MIT

Required Ruby Version: >= 2.6.0

New versions require MFA: true

Version published with MFA: true

Links: